com.h3c.util.snmp

## Class SnmpPduTrapV1

- java.lang.Object
- - com.h3c.util.snmp.VarBinds
  - - com.h3c.util.snmp.SnmpPduTrapV1

-     public class SnmpPduTrapV1
      extends VarBinds

  SNMP Trap PDU V1. This class is a wrapper and does not own any of the field instances.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SnmpPduTrapV1.GenericIdType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SnmpPduTrapV1()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IpAddress` | `getAgentAddr()` Returns the agent address.
    `SnmpOid` | `getEntOid()` Returns the enterprise OID.
    `SnmpPduTrapV1.GenericIdType` | `getGenTrapId()` Returns the generic trap ID.
    `int` | `getSpecTrapId()` Returns the specific trap ID.
    `long` | `getTimeTicks()` Returns the time ticks.
    `String` | `getTimeTicksString()` Returns the time ticks as a string.
    `void` | `setAgentAddr(IpAddress v)`
    `void` | `setEntOid(SnmpOid v)`
    `void` | `setGenTrapId(SnmpPduTrapV1.GenericIdType id)`
    `void` | `setGenTrapIdCode(int v)`
    `void` | `setSpecTrapId(int v)`

    - ### Methods inherited from class com.h3c.util.snmp.VarBinds

      `addOid, addOid, addVB_64, addVB_64, addVB_U32, addVB_U32, addVB, addVB, addVB, addVB, addVB, addVB, addVB, addVB, addVB, addVB, addVB, addVB, clearVBs, getNumVBs, getOid, getVal, getVB`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SnmpPduTrapV1

          public SnmpPduTrapV1()

  - ### Method Detail

    - #### setEntOid

          public void setEntOid(SnmpOid v)

    - #### setAgentAddr

          public void setAgentAddr(IpAddress v)

    - #### setGenTrapIdCode

          public void setGenTrapIdCode(int v)

    - #### setGenTrapId

          public void setGenTrapId(SnmpPduTrapV1.GenericIdType id)

    - #### setSpecTrapId

          public void setSpecTrapId(int v)

    - #### getEntOid

          public SnmpOid getEntOid()

      Returns the enterprise OID.
      Returns:
        Enterprise OID

    - #### getAgentAddr

          public IpAddress getAgentAddr()

      Returns the agent address.
      Returns:
        agent address

    - #### getGenTrapId

          public SnmpPduTrapV1.GenericIdType getGenTrapId()

      Returns the generic trap ID.
      Returns:
        Generic trap ID enumeration

    - #### getSpecTrapId

          public int getSpecTrapId()

      Returns the specific trap ID.
      Returns:
        specific trap ID

    - #### getTimeTicks

          public long getTimeTicks()

      Returns the time ticks.
      Returns:
        time ticks long value

    - #### getTimeTicksString

          public String getTimeTicksString()

      Returns the time ticks as a string.
      Returns:
        time ticks string value

Copyright © 2014. All Rights Reserved.